package com.css.simulation.resource.server.infra.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.RedisParameter;
import com.css.simulation.resource.server.infra.feign.service.RedisService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class RedisServiceFallback implements RedisService {


    @Override
    public ResponseBodyVO<String> setDictLists(List<RedisParameter> redisParameter) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO<String> setDictMaps(List<RedisParameter> redisParameter) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO<Map<String, String>> getDictLists(List<String> keyList) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO<Map<String, String>> getDictMaps(List<String> keyList) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

}
